<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Name: Laboratory Specimen Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4.3.1-2012-01-07T000000">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]"
         id="tmp-r-7a5806a7-9c40-48d1-80f4-a294e58ba472">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:templateId
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:templateId"
         id="tmp-r-8e9fe5d8-2263-4212-afd8-e6c40de2cfdd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@root)='1.2.40.0.34.11.4.3.1'">(LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]"
         id="tmp-r-358c04f1-a8f7-400b-8b79-9ac479eab53d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@classCode)='ACT'">(LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@moodCode)='EVN'">(LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])&lt;=1">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:code
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:code"
         id="tmp-r-779d0dae-0f2f-4244-a089-c3bc88d5c895">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(LaboratorySpecimenEntry): Der Elementinhalt MUSS sein code '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:code
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:targetSiteCode
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]]]/hl7:id
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem)]]/hl7:code
Item: (SpecimenCollection)
--></pattern>
