<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.1
Name: Notification Organizer
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000">
   <title>Notification Organizer</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.1
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]
Item: (NotificationOrganizer)
-->

<!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.1
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]
Item: (NotificationOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]"
         id="tmp-r-d3460dee-54b9-4d6e-a75e-390d8a9d949d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="string(@classCode)='CLUSTER'">(NotificationOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="string(@moodCode)='EVN'">(NotificationOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1'])&gt;=1 ">(NotificationOrganizer): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1'])&lt;=1">(NotificationOrganizer): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(NotificationOrganizer): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="count(hl7:statusCode)&lt;=1">(NotificationOrganizer): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1.1']]])&lt;=1">(NotificationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.1
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:templateId
Item: (NotificationOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:templateId"
         id="tmp-r-6574ef90-1c57-4f93-acaf-84cbbdf918a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NotificationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.1'">(NotificationOrganizer): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.1' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.1
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:statusCode
Item: (NotificationOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:statusCode"
         id="tmp-r-8e2badf1-3276-4fd1-ae72-e6ad720dfaaa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NotificationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.3.6.1.4.1.19376.1.3.1.1-2013-09-09T000000.html"
              test="@nullFlavor or (@code='completed')">(NotificationOrganizer): Der Elementinhalt MUSS sein code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.1
Context: *[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1']]/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.1.1']]]
Item: (NotificationOrganizer)
--></pattern>
